Index: XIOS/dev/dev_olga/src/config/axis_attribute.conf
===================================================================
--- XIOS/dev/dev_olga/src/config/axis_attribute.conf	(revision 1099)
+++ XIOS/dev/dev_olga/src/config/axis_attribute.conf	(revision 1158)
@@ -6,5 +6,5 @@
 
 DECLARE_ATTRIBUTE(int,       n_glo)
-DECLARE_ENUM2(positive, up, down)		
+DECLARE_ENUM2(positive, up, down)
 
 /* GLOBAL */
@@ -29,2 +29,4 @@
 DECLARE_ARRAY(bool, 1 , mask)
 DECLARE_ARRAY(double, 2 , bounds)
+DECLARE_ATTRIBUTE(int,       prec)
+DECLARE_ARRAY(StdString    ,1    , label)
Index: XIOS/dev/dev_olga/src/config/domain_attribute.conf
===================================================================
--- XIOS/dev/dev_olga/src/config/domain_attribute.conf	(revision 1099)
+++ XIOS/dev/dev_olga/src/config/domain_attribute.conf	(revision 1158)
@@ -53,2 +53,3 @@
 DECLARE_ENUM4(type,rectilinear,curvilinear,unstructured, gaussian)
 DECLARE_ATTRIBUTE(StdString, domain_ref)
+DECLARE_ATTRIBUTE(int,       prec)
Index: XIOS/dev/dev_olga/src/config/domain_attribute_private.conf
===================================================================
--- XIOS/dev/dev_olga/src/config/domain_attribute_private.conf	(revision 1099)
+++ XIOS/dev/dev_olga/src/config/domain_attribute_private.conf	(revision 1158)
@@ -14,4 +14,16 @@
 DECLARE_ARRAY_PRIVATE(double, 1, latvalue_rectilinear_read_from_file)
 
+// Array contain whole value (non distributed) of longitude and latitude of curvilinear read from a file
+DECLARE_ARRAY_PRIVATE(double, 2, lonvalue_curvilinear_read_from_file)
+DECLARE_ARRAY_PRIVATE(double, 2, latvalue_curvilinear_read_from_file)
+DECLARE_ARRAY_PRIVATE(double, 3, bounds_lonvalue_curvilinear_read_from_file)
+DECLARE_ARRAY_PRIVATE(double, 3, bounds_latvalue_curvilinear_read_from_file)
+
+// Array contain whole value (non distributed) of longitude and latitude of unstructured read from a file
+DECLARE_ARRAY_PRIVATE(double, 1, lonvalue_unstructured_read_from_file)
+DECLARE_ARRAY_PRIVATE(double, 1, latvalue_unstructured_read_from_file)
+DECLARE_ARRAY_PRIVATE(double, 2, bounds_lonvalue_unstructured_read_from_file)
+DECLARE_ARRAY_PRIVATE(double, 2, bounds_latvalue_unstructured_read_from_file)
+
 DECLARE_ATTRIBUTE_PRIVATE(int,  global_zoom_ibegin)
 DECLARE_ATTRIBUTE_PRIVATE(int,  global_zoom_ni)
Index: XIOS/dev/dev_olga/src/config/expand_domain_attribute.conf
===================================================================
--- XIOS/dev/dev_olga/src/config/expand_domain_attribute.conf	(revision 1099)
+++ XIOS/dev/dev_olga/src/config/expand_domain_attribute.conf	(revision 1158)
@@ -2,2 +2,6 @@
 
 DECLARE_ENUM2(type,node,edge)
+
+// Flag to determine if domain expension should be periodic (and in which direction)
+DECLARE_ATTRIBUTE(bool,      i_periodic)
+DECLARE_ATTRIBUTE(bool,      j_periodic)
Index: XIOS/dev/dev_olga/src/config/file_attribute.conf
===================================================================
--- XIOS/dev/dev_olga/src/config/file_attribute.conf	(revision 1099)
+++ XIOS/dev/dev_olga/src/config/file_attribute.conf	(revision 1158)
@@ -14,16 +14,20 @@
 DECLARE_ENUM2(format,        netcdf4, netcdf4_classic)
 DECLARE_ENUM2(convention,    CF, UGRID)
+DECLARE_ATTRIBUTE(StdString, convention_str)
 DECLARE_ENUM2(par_access,    collective, independent)
 DECLARE_ATTRIBUTE(bool,      append)
 DECLARE_ENUM2(mode,          read, write)
-DECLARE_ENUM4(time_counter,  centered, instant, record, none)
+DECLARE_ENUM7(time_counter,  centered, instant, record, exclusive, centered_exclusive, instant_exclusive, none)
 DECLARE_ATTRIBUTE(StdString, time_counter_name)
+DECLARE_ENUM2(time_units, seconds, days)
 DECLARE_ATTRIBUTE(int,       record_offset)
 DECLARE_ATTRIBUTE(bool,      cyclic)
 
 DECLARE_ATTRIBUTE(int,       compression_level)
-DECLARE_ATTRIBUTE(bool,      coupler)
 
 DECLARE_ENUM4(timeseries,    none, only, both, exclusive)
 DECLARE_ATTRIBUTE(StdString, ts_prefix)
-
+DECLARE_ATTRIBUTE(StdString, time_stamp_name)
+DECLARE_ATTRIBUTE(StdString, time_stamp_format)
+DECLARE_ATTRIBUTE(StdString, uuid_name)
+DECLARE_ATTRIBUTE(StdString, uuid_format)
Index: XIOS/dev/dev_olga/src/config/interpolate_domain_attribute.conf
===================================================================
--- XIOS/dev/dev_olga/src/config/interpolate_domain_attribute.conf	(revision 1099)
+++ XIOS/dev/dev_olga/src/config/interpolate_domain_attribute.conf	(revision 1158)
@@ -1,6 +1,6 @@
 /* GLOBAL */
-DECLARE_ATTRIBUTE(StdString, file)
 DECLARE_ATTRIBUTE(int, order)
 DECLARE_ATTRIBUTE(bool, renormalize)
+DECLARE_ATTRIBUTE(bool, quantity)
 
 /* Write interpolation weights into file */
Index: XIOS/dev/dev_olga/src/config/scalar_attribute.conf
===================================================================
--- XIOS/dev/dev_olga/src/config/scalar_attribute.conf	(revision 1099)
+++ XIOS/dev/dev_olga/src/config/scalar_attribute.conf	(revision 1158)
@@ -9,2 +9,3 @@
 
 DECLARE_ATTRIBUTE(StdString, scalar_ref)
+DECLARE_ATTRIBUTE(int, prec)
Index: XIOS/dev/dev_olga/src/config/var_attribute.conf
===================================================================
--- XIOS/dev/dev_olga/src/config/var_attribute.conf	(revision 1099)
+++ XIOS/dev/dev_olga/src/config/var_attribute.conf	(revision 1158)
@@ -1,2 +1,3 @@
 DECLARE_TYPE(type)
 DECLARE_ATTRIBUTE(StdString, name)
+DECLARE_ENUM4(ts_target, file, field, both, none)
